Skip to main content
`Ctrl`+`K`

# decompress_image_data_section

astropy.io.fits.hdu.compressed._tiled_compression.decompress_image_data_section(compressed_data, compression_type, compressed_header, bintable, image_header, first_tile_index, last_tile_index)

  Decompress the data in a `CompImageHDU`.

  Parameters:
    compressed_data `FITS_rec`

      The compressed data

    compression_type `python:str`

      The compression algorithm

    compressed_header `Header`

      The header of the compressed binary table

    bintable `BinTableHDU`

      The binary table HDU, used to access the raw heap data

    first_tile_index python:iterable

      The indices of the first tile to decompress along each dimension

    last_tile_index python:iterable

      The indices of the last tile to decompress along each dimension

  Returns:
    data `numpy.ndarray`

      The decompressed data array.